Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Adds useful global macros.
To use this optional module, its repository needs to be added to the application, for example by calling app.addRepository('modules/core/Global.js')
Methods
property_macro(Object)
write out a property contained in app.properties
parameters

| Object | containing the name of the property

write_macro(Object)
wrapper to output a string from within a skin just to be able to use different encodings
parameters

| Object | containing the string as text property

now_macro(Object)
renders the current datetime
parameters

| Object | containing a formatting string as format property

skin_macro(param, name)
renders a global skin
parameters

| param |
| name |

Tue, 25 Nov 2008 16:50:09 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar